package sgc.portal.cw.cwcom.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cwcom.dto.CWCOMSearch;
import sgc.portal.cw.cwcom.persistence.CWCOMMapper;

import java.util.List;

@Service
public class CWCOMService {
    private final CWCOMMapper mapper;

    public CWCOMService(CWCOMMapper mapper) {
        this.mapper = mapper;
    }
    
    //본부
    public List<EasyHashMap<String, Object>> getComboRomCd(CWCOMSearch search) {
        return mapper.getComboRomCd(search);
    }
}
